package com.example.dog3

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        //get parallel array of dog colors from resources
        val dog_colors = resources.getStringArray(R.array.dog_colors)

        //textview for displaying selected dog color
        val tvDogColor = findViewById(R.id.tvDogColor) as TextView

        //imageview for displaying picture of dog
        val ivDog = findViewById(R.id.ivDog) as ImageView

        //spinner and adapter for filling it
        val spDog = findViewById(R.id.spDog) as Spinner
        val aaDog = ArrayAdapter.createFromResource(this, R.array.dogs, android.R.layout.simple_spinner_item)
        spDog.adapter = aaDog

        spDog.onItemSelectedListener = object : AdapterView.OnItemSelectedListener {
            override fun onItemSelected(adapterView: AdapterView<*>, view: View, i: Int, l: Long) {
                val tvUserItem = view as TextView
                Toast.makeText(applicationContext, "You chose " + tvUserItem.text.toString(), Toast.LENGTH_SHORT).show()

                // compared to names of dogs in spinner, resource names are all
                // small letters and have underscores instead of spaces
                var drawable_resource_name = tvUserItem.text.toString()
                drawable_resource_name = drawable_resource_name.toLowerCase()
                drawable_resource_name = drawable_resource_name.replace(' ', '_')

                //get the id from the resource name
                val context = ivDog.getContext()
                val id = context.getResources().getIdentifier(
                    drawable_resource_name, "drawable",
                    context.getPackageName()
                )
                ivDog.setImageResource(id)

                tvDogColor.text = dog_colors[i]
            }

            override fun onNothingSelected(adapterView: AdapterView<*>) {}
        }//end OnItemSelectedListener

    } //end onCreate
}//end MainActivity class
